org.jsr166

## Interface ConcurrentLinkedDeque8.IteratorEx<E>

All Superinterfaces:
  Iterator<E>

Enclosing class:
  ConcurrentLinkedDeque8<E>

    public static interface ConcurrentLinkedDeque8.IteratorEx<E>
    extends Iterator<E>

Extended iterator interface.

### Method Summary

Methods
`boolean` `removex()` Same semantics as iterator's remove, but will return `false` if remove did not happen.

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Method Detail

#### removex

    boolean removex()

Same semantics as iterator's remove, but will return `false` if remove did not happen.

Returns:
  `True` if element was removed by this call, `false` otherwise.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015